module System.Directory.Tools (
  maybeGetModificationTime
) where

import System.Directory    (doesFileExist, getModificationTime)
import System.Time         (ClockTime)
import Control.Applicative ((<$>))
import Control.Monad.Tools (ifM)

maybeGetModificationTime :: FilePath -> IO (Maybe ClockTime)
maybeGetModificationTime fn
  = ifM (doesFileExist fn)
        (Just <$> getModificationTime fn)
	(return Nothing)
